#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libaio
Version		:	0.3.112
Release		:	16.2.0.rel%{?dist}
Summary		:	Linux-native asynchronous I/O access library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	http://ftp.de.debian.org/debian/pool/main/liba/libaio

Source0		:	%{name}-%{version}.orig.tar.xz

#-----------------------------------------------------------------------------
Requires	:	glibc
#-----------------------------------------------------------------------------
%description
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
richer API and capability set than the simple POSIX async I/O facility.
This library, libaio, provides the Linux-native API for async I/O.
The POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

sed -i							\
  -e "/install.*libaio.a/s/^/#/"			\
  src/Makefile

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} 						\
	prefix=%{buildroot}%{_prefix}			\
	libdir=%{buildroot}%{_libdir}			\
	install						\


%files			
%defattr(-,root,root,-)
%doc COPYING 
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so*

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
